.feed-container {
  max-width: 1366px;
  margin: 0 auto;
  color: var(--text);
}

.feed-wrapping {
  margin: 2rem 2rem;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.feed-wrapping .right-content {
  flex-grow: 1;
}

.feed-wrapping .right-content .right-wrapping .new-feed-container {
  display: flex;
  align-items: center;
  margin-bottom: 1rem;
  background-color: var(--mainHeroBtn);
  border-radius: 0.4rem;
  color: var(--text);
  font-size: 0.8rem;
  cursor: pointer;
}

.feed-wrapping .right-content .right-wrapping .new-feed-container:hover {
  background-color: var(--hoverHeroBtn);
}

.feed-wrapping .right-content .right-wrapping .new-feed-container:active {
  background-color: var(--activeHeroBtn);
}

.feed-wrapping .right-content .right-wrapping .new-feed {
  padding: 0.5rem 0;
  margin: 0 auto;
}

.feed-wrapping .right-content .right-wrapping .realtime-feed {
  padding: 1rem;
  border: 2px solid var(--borderBig);
  border-radius: 0.5rem;
  box-sizing: border-box;
  background-color: var(--forTransDiv);
}

.feed-wrapping .right-content .right-wrapping .realtime-feed .pagination {
  display: flex;
  justify-content: space-evenly;
  box-sizing: border-box;
  padding: 0.5rem 0rem;
  border-radius: 0.5rem;
}

@media screen and (min-width: 600px) {
  .feed-wrapping {
    margin: 2rem 2rem;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
  }
}

@media screen and (min-width: 920px) {
  .feed-wrapping {
    margin: 2rem 4rem;
  }
}

@media screen and (min-width: 1000px) {
  .feed-wrapping {
    margin: 2rem 6rem;
  }
}

@media screen and (min-width: 1080px) {
  .feed-wrapping {
    margin: 2rem 8rem;
  }
}

/* LOADING */

.isay-status-box .user-status .upper-prop .user-image-load {
  width: 40px;
  height: 40px;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
  border-radius: 20px;
  margin: 0 1rem 1rem 0;
  position: relative;
  overflow: hidden;
}

.isay-status-box .user-status .upper-prop .user-image-load img {
  display: none;
}

.isay-status-box .user-status .upper-prop .name-and-time-load {
  width: 5rem;
  height: 2.5rem;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
  border-radius: 0.8rem;
  margin: 0 0.5rem 1rem;
}

.isay-status-box .user-status .upper-prop .status-interest-load {
  width: 5rem;
  height: 2.5rem;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
  border-radius: 0.8rem;
  margin: 0 0.5rem 1rem;
}

.isay-status-box .user-status .lower-prop-load {
  border-radius: 0.5rem;
  height: 2rem;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
  margin-bottom: 1rem;
}

.isay-status-box .do-at-status-load {
  border-radius: 0.5rem;
  height: 2rem;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
  margin-bottom: 1rem;
}

.circle-box-load {
  display: flex;
  justify-content: center;
}

.circle-box-load .circle-load {
  width: 1rem;
  height: 1rem;
  border-radius: 1rem;
  background-image: linear-gradient(
    89deg,
    var(--colorLazyPrime),
    var(--colorLazyDouble)
  );
  animation: 4s ease-in-out 1ms infinite normal backwards running
    animation-loading;
  margin: 0 1rem;
}

@keyframes animation-loading {
  0% {
    background-position: -300px center;
  }
  100% {
    background-position: 300px center;
  }
}
